// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: MovementDataCache.proto

package ru.omnicomm.pegasus.messaging.data.responses.movementdatacache;

public final class MovementDataCacheParser {
  private MovementDataCacheParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public static final class MovementDataCache extends
      com.google.protobuf.GeneratedMessage {
    // Use MovementDataCache.newBuilder() to construct.
    private MovementDataCache() {
      initFields();
    }
    private MovementDataCache(boolean noInit) {}
    
    private static final MovementDataCache defaultInstance;
    public static MovementDataCache getDefaultInstance() {
      return defaultInstance;
    }
    
    public MovementDataCache getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_MovementDataCache_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_MovementDataCache_fieldAccessorTable;
    }
    
    // required int32 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private int sourceId_ = 0;
    public boolean hasSourceId() { return hasSourceId; }
    public int getSourceId() { return sourceId_; }
    
    // optional int32 messageType = 2 [default = 1003];
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 1003;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // required int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    // repeated .ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.SpeedDataItem speed = 101;
    public static final int SPEED_FIELD_NUMBER = 101;
    private java.util.List<ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem> speed_ =
      java.util.Collections.emptyList();
    public java.util.List<ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem> getSpeedList() {
      return speed_;
    }
    public int getSpeedCount() { return speed_.size(); }
    public ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem getSpeed(int index) {
      return speed_.get(index);
    }
    
    // repeated .ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.LocationDataItem location = 102;
    public static final int LOCATION_FIELD_NUMBER = 102;
    private java.util.List<ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem> location_ =
      java.util.Collections.emptyList();
    public java.util.List<ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem> getLocationList() {
      return location_;
    }
    public int getLocationCount() { return location_.size(); }
    public ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem getLocation(int index) {
      return location_.get(index);
    }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasSourceId) return false;
      if (!hasMessageTime) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt32(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      for (ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem element : getSpeedList()) {
        output.writeMessage(101, element);
      }
      for (ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem element : getLocationList()) {
        output.writeMessage(102, element);
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      for (ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem element : getSpeedList()) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(101, element);
      }
      for (ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem element : getLocationList()) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(102, element);
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache result;
      
      // Construct using ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        if (result.speed_ != java.util.Collections.EMPTY_LIST) {
          result.speed_ =
            java.util.Collections.unmodifiableList(result.speed_);
        }
        if (result.location_ != java.util.Collections.EMPTY_LIST) {
          result.location_ =
            java.util.Collections.unmodifiableList(result.location_);
        }
        ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache other) {
        if (other == ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (!other.speed_.isEmpty()) {
          if (result.speed_.isEmpty()) {
            result.speed_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem>();
          }
          result.speed_.addAll(other.speed_);
        }
        if (!other.location_.isEmpty()) {
          if (result.location_.isEmpty()) {
            result.location_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem>();
          }
          result.location_.addAll(other.location_);
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt32());
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
            case 810: {
              ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem.Builder subBuilder = ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem.newBuilder();
              input.readMessage(subBuilder, extensionRegistry);
              addSpeed(subBuilder.buildPartial());
              break;
            }
            case 818: {
              ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem.Builder subBuilder = ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem.newBuilder();
              input.readMessage(subBuilder, extensionRegistry);
              addLocation(subBuilder.buildPartial());
              break;
            }
          }
        }
      }
      
      
      // required int32 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public int getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(int value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0;
        return this;
      }
      
      // optional int32 messageType = 2 [default = 1003];
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 1003;
        return this;
      }
      
      // required int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // repeated .ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.SpeedDataItem speed = 101;
      public java.util.List<ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem> getSpeedList() {
        return java.util.Collections.unmodifiableList(result.speed_);
      }
      public int getSpeedCount() {
        return result.getSpeedCount();
      }
      public ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem getSpeed(int index) {
        return result.getSpeed(index);
      }
      public Builder setSpeed(int index, ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem value) {
        if (value == null) {
          throw new NullPointerException();
        }
        result.speed_.set(index, value);
        return this;
      }
      public Builder setSpeed(int index, ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem.Builder builderForValue) {
        result.speed_.set(index, builderForValue.build());
        return this;
      }
      public Builder addSpeed(ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem value) {
        if (value == null) {
          throw new NullPointerException();
        }
        if (result.speed_.isEmpty()) {
          result.speed_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem>();
        }
        result.speed_.add(value);
        return this;
      }
      public Builder addSpeed(ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem.Builder builderForValue) {
        if (result.speed_.isEmpty()) {
          result.speed_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem>();
        }
        result.speed_.add(builderForValue.build());
        return this;
      }
      public Builder addAllSpeed(
          java.lang.Iterable<? extends ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem> values) {
        if (result.speed_.isEmpty()) {
          result.speed_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem>();
        }
        super.addAll(values, result.speed_);
        return this;
      }
      public Builder clearSpeed() {
        result.speed_ = java.util.Collections.emptyList();
        return this;
      }
      
      // repeated .ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.LocationDataItem location = 102;
      public java.util.List<ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem> getLocationList() {
        return java.util.Collections.unmodifiableList(result.location_);
      }
      public int getLocationCount() {
        return result.getLocationCount();
      }
      public ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem getLocation(int index) {
        return result.getLocation(index);
      }
      public Builder setLocation(int index, ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem value) {
        if (value == null) {
          throw new NullPointerException();
        }
        result.location_.set(index, value);
        return this;
      }
      public Builder setLocation(int index, ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem.Builder builderForValue) {
        result.location_.set(index, builderForValue.build());
        return this;
      }
      public Builder addLocation(ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem value) {
        if (value == null) {
          throw new NullPointerException();
        }
        if (result.location_.isEmpty()) {
          result.location_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem>();
        }
        result.location_.add(value);
        return this;
      }
      public Builder addLocation(ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem.Builder builderForValue) {
        if (result.location_.isEmpty()) {
          result.location_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem>();
        }
        result.location_.add(builderForValue.build());
        return this;
      }
      public Builder addAllLocation(
          java.lang.Iterable<? extends ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem> values) {
        if (result.location_.isEmpty()) {
          result.location_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem>();
        }
        super.addAll(values, result.location_);
        return this;
      }
      public Builder clearLocation() {
        result.location_ = java.util.Collections.emptyList();
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCache)
    }
    
    static {
      defaultInstance = new MovementDataCache(true);
      ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCache)
  }
  
  public static final class LocationDataItem extends
      com.google.protobuf.GeneratedMessage {
    // Use LocationDataItem.newBuilder() to construct.
    private LocationDataItem() {
      initFields();
    }
    private LocationDataItem(boolean noInit) {}
    
    private static final LocationDataItem defaultInstance;
    public static LocationDataItem getDefaultInstance() {
      return defaultInstance;
    }
    
    public LocationDataItem getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_LocationDataItem_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_LocationDataItem_fieldAccessorTable;
    }
    
    // optional int32 dataItemTime = 1;
    public static final int DATAITEMTIME_FIELD_NUMBER = 1;
    private boolean hasDataItemTime;
    private int dataItemTime_ = 0;
    public boolean hasDataItemTime() { return hasDataItemTime; }
    public int getDataItemTime() { return dataItemTime_; }
    
    // optional int64 latitude = 2;
    public static final int LATITUDE_FIELD_NUMBER = 2;
    private boolean hasLatitude;
    private long latitude_ = 0L;
    public boolean hasLatitude() { return hasLatitude; }
    public long getLatitude() { return latitude_; }
    
    // optional int64 longitude = 3;
    public static final int LONGITUDE_FIELD_NUMBER = 3;
    private boolean hasLongitude;
    private long longitude_ = 0L;
    public boolean hasLongitude() { return hasLongitude; }
    public long getLongitude() { return longitude_; }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasDataItemTime()) {
        output.writeInt32(1, getDataItemTime());
      }
      if (hasLatitude()) {
        output.writeInt64(2, getLatitude());
      }
      if (hasLongitude()) {
        output.writeInt64(3, getLongitude());
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasDataItemTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getDataItemTime());
      }
      if (hasLatitude()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(2, getLatitude());
      }
      if (hasLongitude()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(3, getLongitude());
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem result;
      
      // Construct using ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem other) {
        if (other == ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem.getDefaultInstance()) return this;
        if (other.hasDataItemTime()) {
          setDataItemTime(other.getDataItemTime());
        }
        if (other.hasLatitude()) {
          setLatitude(other.getLatitude());
        }
        if (other.hasLongitude()) {
          setLongitude(other.getLongitude());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setDataItemTime(input.readInt32());
              break;
            }
            case 16: {
              setLatitude(input.readInt64());
              break;
            }
            case 24: {
              setLongitude(input.readInt64());
              break;
            }
          }
        }
      }
      
      
      // optional int32 dataItemTime = 1;
      public boolean hasDataItemTime() {
        return result.hasDataItemTime();
      }
      public int getDataItemTime() {
        return result.getDataItemTime();
      }
      public Builder setDataItemTime(int value) {
        result.hasDataItemTime = true;
        result.dataItemTime_ = value;
        return this;
      }
      public Builder clearDataItemTime() {
        result.hasDataItemTime = false;
        result.dataItemTime_ = 0;
        return this;
      }
      
      // optional int64 latitude = 2;
      public boolean hasLatitude() {
        return result.hasLatitude();
      }
      public long getLatitude() {
        return result.getLatitude();
      }
      public Builder setLatitude(long value) {
        result.hasLatitude = true;
        result.latitude_ = value;
        return this;
      }
      public Builder clearLatitude() {
        result.hasLatitude = false;
        result.latitude_ = 0L;
        return this;
      }
      
      // optional int64 longitude = 3;
      public boolean hasLongitude() {
        return result.hasLongitude();
      }
      public long getLongitude() {
        return result.getLongitude();
      }
      public Builder setLongitude(long value) {
        result.hasLongitude = true;
        result.longitude_ = value;
        return this;
      }
      public Builder clearLongitude() {
        result.hasLongitude = false;
        result.longitude_ = 0L;
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.LocationDataItem)
    }
    
    static {
      defaultInstance = new LocationDataItem(true);
      ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.LocationDataItem)
  }
  
  public static final class SpeedDataItem extends
      com.google.protobuf.GeneratedMessage {
    // Use SpeedDataItem.newBuilder() to construct.
    private SpeedDataItem() {
      initFields();
    }
    private SpeedDataItem(boolean noInit) {}
    
    private static final SpeedDataItem defaultInstance;
    public static SpeedDataItem getDefaultInstance() {
      return defaultInstance;
    }
    
    public SpeedDataItem getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_SpeedDataItem_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_SpeedDataItem_fieldAccessorTable;
    }
    
    // optional int32 dataItemTime = 1;
    public static final int DATAITEMTIME_FIELD_NUMBER = 1;
    private boolean hasDataItemTime;
    private int dataItemTime_ = 0;
    public boolean hasDataItemTime() { return hasDataItemTime; }
    public int getDataItemTime() { return dataItemTime_; }
    
    // optional int32 value = 2;
    public static final int VALUE_FIELD_NUMBER = 2;
    private boolean hasValue;
    private int value_ = 0;
    public boolean hasValue() { return hasValue; }
    public int getValue() { return value_; }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasDataItemTime()) {
        output.writeInt32(1, getDataItemTime());
      }
      if (hasValue()) {
        output.writeInt32(2, getValue());
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasDataItemTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getDataItemTime());
      }
      if (hasValue()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getValue());
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem result;
      
      // Construct using ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem other) {
        if (other == ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem.getDefaultInstance()) return this;
        if (other.hasDataItemTime()) {
          setDataItemTime(other.getDataItemTime());
        }
        if (other.hasValue()) {
          setValue(other.getValue());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setDataItemTime(input.readInt32());
              break;
            }
            case 16: {
              setValue(input.readInt32());
              break;
            }
          }
        }
      }
      
      
      // optional int32 dataItemTime = 1;
      public boolean hasDataItemTime() {
        return result.hasDataItemTime();
      }
      public int getDataItemTime() {
        return result.getDataItemTime();
      }
      public Builder setDataItemTime(int value) {
        result.hasDataItemTime = true;
        result.dataItemTime_ = value;
        return this;
      }
      public Builder clearDataItemTime() {
        result.hasDataItemTime = false;
        result.dataItemTime_ = 0;
        return this;
      }
      
      // optional int32 value = 2;
      public boolean hasValue() {
        return result.hasValue();
      }
      public int getValue() {
        return result.getValue();
      }
      public Builder setValue(int value) {
        result.hasValue = true;
        result.value_ = value;
        return this;
      }
      public Builder clearValue() {
        result.hasValue = false;
        result.value_ = 0;
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.SpeedDataItem)
    }
    
    static {
      defaultInstance = new SpeedDataItem(true);
      ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.SpeedDataItem)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_MovementDataCache_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_MovementDataCache_fieldAccessorTable;
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_LocationDataItem_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_LocationDataItem_fieldAccessorTable;
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_SpeedDataItem_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_SpeedDataItem_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\027MovementDataCache.proto\022>ru.omnicomm.p" +
      "egasus.messaging.data.responses.movement" +
      "datacache\"\227\002\n\021MovementDataCache\022\020\n\010sourc" +
      "eId\030\001 \002(\005\022\031\n\013messageType\030\002 \001(\005:\0041003\022\023\n\013" +
      "messageTime\030\003 \002(\005\022\\\n\005speed\030e \003(\0132M.ru.om" +
      "nicomm.pegasus.messaging.data.responses." +
      "movementdatacache.SpeedDataItem\022b\n\010locat" +
      "ion\030f \003(\0132P.ru.omnicomm.pegasus.messagin" +
      "g.data.responses.movementdatacache.Locat" +
      "ionDataItem\"M\n\020LocationDataItem\022\024\n\014dataI",
      "temTime\030\001 \001(\005\022\020\n\010latitude\030\002 \001(\003\022\021\n\tlongi" +
      "tude\030\003 \001(\003\"4\n\rSpeedDataItem\022\024\n\014dataItemT" +
      "ime\030\001 \001(\005\022\r\n\005value\030\002 \001(\005BY\n>ru.omnicomm." +
      "pegasus.messaging.data.responses.movemen" +
      "tdatacacheB\027MovementDataCacheParser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_MovementDataCache_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_MovementDataCache_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_MovementDataCache_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "Speed", "Location", },
              ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache.class,
              ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.MovementDataCache.Builder.class);
          internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_LocationDataItem_descriptor =
            getDescriptor().getMessageTypes().get(1);
          internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_LocationDataItem_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_LocationDataItem_descriptor,
              new java.lang.String[] { "DataItemTime", "Latitude", "Longitude", },
              ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem.class,
              ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.LocationDataItem.Builder.class);
          internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_SpeedDataItem_descriptor =
            getDescriptor().getMessageTypes().get(2);
          internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_SpeedDataItem_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_data_responses_movementdatacache_SpeedDataItem_descriptor,
              new java.lang.String[] { "DataItemTime", "Value", },
              ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem.class,
              ru.omnicomm.pegasus.messaging.data.responses.movementdatacache.MovementDataCacheParser.SpeedDataItem.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  public static void internalForceInit() {}
  
  // @@protoc_insertion_point(outer_class_scope)
}
